Skip to main content
PUT
/
api
/
v2
/
numberingProvider
Update an existing numbering provider
curl --request PUT \
  --url 'https://api.vida.dev/api/v2/numberingProvider?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "providerId": "Twilio",
  "default": true,
  "enabled": false,
  "config": {
    "accountSid": "ACxxxx",
    "authToken": "tokenxxxx"
  }
}
'
{
  "success": true,
  "message": "Numbering provider updated"
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetOrganizationId
string
required

Target Organization Id to update settings for

Body

application/json
providerId
string
required
Example:

"Twilio"

default
boolean
Example:

true

enabled
boolean
Example:

false

config
object
Example:
{
"accountSid": "ACxxxx",
"authToken": "tokenxxxx"
}

Response

Numbering provider updated

success
boolean
Example:

true

message
string
Example:

"Numbering provider updated"